function [x y]=erosion(T_a,h,t_in,t_end)
%global parameter
g=9.81;

M_in=21000;
%initial condition
S_i=0.00; %ice salinity
n=0.4; % porosity
p_i=916; %density of ice
p_s=2650; %desnity of sediments
p_w=1010; %desnity of water
c_s=837.4; %specific heat of suspended sediments
c_w=4187; %specific heat of water in jkg/k
c_i=2108; %specific heat of ice jkg/k
L_i=334000; %latent heat of ice
% this will be constants. physical properties will be same for all location

%assumption for initial conditions
C_a=0; %initial suspended sediment concentration
S_a=30/1000; %salinity of the incoming sea water ; unit per PPT
m=0.06*1000; % Josberger constant

%assumption related to geometry
beta=2;
% T_a=3; % this is also assumed
% h=0.3; % this is kept constant for now. h should vary along x
A=0.4; % given by Inman

epsilon=A*h*(g*h)^0.5;
T_d=T_a+m*S_a;
%determining value of d
E1=1+m*S_i*c_w/L_i*(1-c_i/c_w-(1-n)/n*p_s/p_i*c_s/c_i);
%E1 value should be close to 1
E2=1-T_d*c_w/L_i+m*S_i*c_w/L_i+m*S_a*c_w/L_i*(c_i/c_w+(1-n)/n*p_s/p_i*c_s/c_w);
% E2 value should be close to 1
E3=T_d*c_w/L_i; %E3 should be significantly smaller than 1

d=1/2/E1*((E2^2+4*E1*E3)^0.5-E2); %d values should be close to E3

a_all=0:0.01:0.3;
d_all=pi^0.5*a_all.*(1+erf(a_all)).*exp(a_all.^2);
a=interp1(d_all,a_all,d);
z=0;
ER=a*(2*h)^(1.47)*T_d;
dt=100;
t_counter=(t_end-t_in)/dt;
M(1)=M_in;
for i=1:1:t_counter
    M(i+1)=M(i)-ER*dt;
    counter(i+1)=i;
    t=i*dt;
    if M(i)<0
        break
        z=1;
    end
end
y=t;
x=z;

end
