% this function will read the bathymetry from bath.dat file 
% calculated output will be water level rising

function y=f_storm(U)

%global parameters
g=9.81;

%read from bath.dat file
filename = 'bath.dat';
M=csvread(filename,1,0);%this will read from row 2
% plot(M(:,1),M(:,2))
% hold on;
%this will print first column ( in x axis) vs the second column of the matrix
% now we need to interpolate between the values so that PDE can work
deep_sea=5000;
dx=1;
xq=0:dx:deep_sea;


%this will be my grid points
vq1 = interp1(M(:,1),M(:,2),xq); %vq1 id the bathmetric values, xq is the x axis

% we need water depth at every points
sealevel=-2;%water level at MSL, pre-storm condition
g_points=numel(vq1);
h=1:1:g_points;
for j=1:1:g_points
    if abs(vq1(j))<abs(sealevel)
        h(j)=0;
    else
        h(j)=-vq1(j)+sealevel;
    end
end




% inputs for wind shear stress 

k=1.2e-6; % this is the drag coefficient
pw=1025; % density of water
% U=32; % wind speed [ may be we can read it from input file]
Twx=pw*g*k*U^2;
termA=Twx/(g*pw);
%inputs for long shore 
omega=7.29e-5;
latitude=68;
f=2*omega*sin(latitude*3.14/180);% we need to change the degree to radian
V=2; % this is the longshore current
termB=f*V/g;
n(g_points)=0;


for i=g_points:-1:2

        n(i-1)=termA*dx/(h(i)+n(i))+termB*dx+n(i);
    
end

y=n(55);


end





