clear all;
%required inputs
%geomtry
z_top=5; %height of the ice bluff
x_edge=16; % width of typical ice wedge
dt=6000; % time step , by default it is 10 min
beach_level=0;
%temperature of the wave
T_a=3;

%calibration parameter

alpha=1;
z_p=0;

% physical properties of the system
p_b=1400; % density of ice bluffs. in kg/m3
T_ice=1e4;% tensile strenght of ice
T_b=2e5;% tensile strength of bluff
%wind speed
% U will be a time series

[tq Uq]=f_wind(dt);
%now wind data is gathered- time in tq and values in Uq

tq_timer=numel(tq);% we take number of time the program should run
%for every tq values we need storm surge level

for i=1:1:tq_timer
    n(i)=-1*alpha+f_storm(Uq(i));%-1.5 because of MSL is not at zero
end



%at this point we have time step values (tq), corresponding wind speed(Uq)
%and storm surge level(n)

% we need to decide whether storm surge level is critical or not
% we only run niche growth model if the water level is positive
% that means n values has to be greater than 0, otherwise niche growth
% model will not triggered

%we need to convert n values to water depth at base h

for i=1:1:tq_timer
    if n(i)<0
        h(i)=0;
    else
        h(i)=n(i);
    end
end
i=1;
x_m(1)=0;
x_critical=critical_niche(x_edge,p_b,T_ice,T_b,z_top);

for i=1:1:(tq_timer-1)
    x_m(i+1)=x_m(i)+f_niche_growth(T_a,0.1,tq(i),tq(i+1));
%     if x_m(i+1)>x_critical
%         break;
%     end
%     t_collapse=tq(i+1);
%     counter(i)=i;
end
t_day=tq/3600/24;
figure
ax1=subplot(3,1,1)
plot(t_day,x_m,'linewidth',2)
grid on;
grid minor;
y_target='niche growth (m)';
% title('niche growth model')
% xlabel('time (day)','FontSize',12,'FontWeight','bold','Color','b')
ylabel(y_target,'FontSize',12,'FontWeight','bold','Color','b')



ax2=subplot(3,1,2)
plot(t_day,Uq,'linewidth',0.5)
grid on;
grid minor;
y_target='wind speed (m/s)';
% title('wind speed (June 2012-June 2013)')
xlabel('time (day)','FontSize',12,'FontWeight','bold','Color','b')
ylabel(y_target,'FontSize',12,'FontWeight','bold','Color','b')


ax3=subplot(3,1,3)
plot(t_day,h,'linewidth',2)
grid on;
grid minor;
y_target='water depth(m)';
% title('wind speed over time')
% xlabel('time (day)','FontSize',12,'FontWeight','bold','Color','b')
ylabel(y_target,'FontSize',12,'FontWeight','bold','Color','b')



