%required inputs
%geomtry
sample=1000;
z_top=(randn(sample,1) * 0.5 ) + 5; %height of the ice bluff
s_z_top=sort(z_top);
norm1=normpdf(s_z_top,5,0.5);

x_edge=(randn(sample,1) * 2 ) + 14; % width of typical ice wedge
s_x_edge=sort(x_edge);
norm2=normpdf(s_x_edge,14,2);


T_a=(randn(sample,1) * 0.3 ) + 3;
s_T_a=sort(T_a);
norm3=normpdf(s_T_a,3,.3);

S_a=(randn(sample,1))*3+30;
s_S_a=sort(S_a);
norm4=normpdf(s_S_a,30,3);

figure
title('Distribution of the input parameters')
ax1=subplot(2,2,1)
histogram(s_z_top,20,'Normalization','pdf')
hold on,
plot(s_z_top,norm1,'b','linewidth',2)
grid on;
grid minor;
% title('ciritical niche depth for various ice wedge sizes')
xlabel('bluff height(m)','FontSize',12,'FontWeight','bold','Color','b')
ylabel('pdf','FontSize',12,'FontWeight','bold','Color','b')
% legend({'wedge size'},'Location','northeast')

ax2=subplot(2,2,2)
histogram(s_x_edge,20,'Normalization','pdf')
hold on,
plot(s_x_edge,norm2,'b','linewidth',2)
grid on;
grid minor;
% title('ciritical niche depth for various ice bluff density')
xlabel('wedge size','FontSize',12,'FontWeight','bold','Color','b')
ylabel('pdf','FontSize',12,'FontWeight','bold','Color','b')

ax3=subplot(2,2,3)
histogram(s_T_a,20,'Normalization','pdf')
hold on,
plot(s_T_a,norm3,'b','linewidth',2)
grid on;
grid minor;
% title('ciritical niche depth for various ice bluff strength')
xlabel('temperature)','FontSize',12,'FontWeight','bold','Color','b')
ylabel('pdf','FontSize',12,'FontWeight','bold','Color','b')

ax4=subplot(2,2,4)
histogram(s_S_a,20,'Normalization','pdf')
hold on,
plot(s_S_a,norm4,'b','linewidth',2)
grid on;
grid minor;
% title('ciritical niche depth for various ice bluff height')
xlabel('salinity (ppt)','FontSize',12,'FontWeight','bold','Color','b')
ylabel('pdf','FontSize',12,'FontWeight','bold','Color','b')



